#ifndef INPUT_ONCLICK_H
#define INPUT_ONCLICK_H TRUE

/*
**  onclick.h
**
**  (C) Copyright 1999-2003 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** OnClick class.
*/

#define OCF_HELDRELEASE    0x00000001
#define OCF_RELEASE        0x00000002
#define OCF_RELEASEFRAME   0x00000004
#define OCF_DOUBLECLICK    0x00000008
#define OCF_DISABLED       0x00000010
#define OCF_CLICKED        0x00000020 /* Set when a click is received, turned off when a matching release is received */
#define OCF_TOGGLEFRAME    0x00000040 /* Toggle between the frame and release frame when a click is detected */
#define OCF_MESSAGE        0x00000080 /* Use delayed messaging when activating children */
#define OCF_IGNORECHILDREN 0x00000100 /* Do not monitor child drawables for clicks */
#define OCF_IGNOREDOUBLE   0x00000200 /* Ignore double-clicks (for limiting to single clicks only) */
#define OCF_AUTOACTIVATE   0x00000400 /* Auto-activate when the pointer pauses over the clickable area */
#define OCF_AUTOLIMIT      0x00000800 /* Limit auto-activation so that it only works once (limitation resets on pointer exit) */

#define OCF_ACTIVATED      0x80000000 /* Private: Set when activation has occurred (resets on pointer exit) */

#endif /* INPUT_ONCLICK_H */
